Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic
Class CounterPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.core.samples.basic.CounterPortlet

All Implemented Interfaces:
  Portlet

    public class CounterPortlet

extends GenericPortlet

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`CounterPortlet()`

Method Summary
`protected void` | `doView(RenderRequest req, RenderResponse resp)` Helper method to serve up the mandatory `view` mode.
`void` | `processAction(ActionRequest req, ActionResponse resp)` Called by the portlet container to allow the portlet to process an action request.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CounterPortlet

    public CounterPortlet()

Method Detail

### processAction

    public void processAction(ActionRequest req,
                              ActionResponse resp)
                       throws PortletException,
                              PortletSecurityException,
                              java.io.IOException

  Description copied from class: `GenericPortlet`
  Called by the portlet container to allow the portlet to process an action request. This method is called if the client request was originated by a URL created (by the portlet) with the `RenderResponse.createActionURL()` method.

  The default implementation throws an exception.

  Specified by:
    `processAction` in interface `Portlet`
  Overrides:
    `processAction` in class `GenericPortlet`
  Parameters:
    `req` - the action request
    `resp` - the action response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to process the action at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

### doView

    protected void doView(RenderRequest req,
                          RenderResponse resp)
                   throws PortletException,
                          PortletSecurityException,
                          java.io.IOException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the mandatory `view` mode.

  The default implementation throws an exception.

  Overrides:
    `doView` in class `GenericPortlet`
  Parameters:
    `req` - the portlet request
    `resp` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD